Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 746437 - dev-perl/DBI: insufficient parameter validation in DBD::File (CVE-2014-10402)
Summary: dev-perl/DBI: insufficient parameter validation in DBD::File (CVE-2014-10402)
Status: CONFIRMED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://rt.cpan.org/Public/Bug/Displa...
Whiteboard: B4 [upstream]
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-04 03:40 UTC by John Helmert III
Modified: 2020-10-04 03:41 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Helmert III gentoo-dev Security 2020-10-04 03:40:41 UTC
CVE-2014-10402:

An issue was discovered in the DBI module through 1.643 for Perl. DBD::File drivers can open files from folders other than those specifically passed via the f_dir attribute in the data source name (DSN). NOTE: this issue exists because of an incomplete fix for CVE-2014-10401.